info.bioinfweb.jphyloio.formats

## Interface JPhyloIOFormatIDs

- All Known Implementing Classes:
    AbstractPhylipFactory, FASTAFactory, JPhyloIOReaderWriterFactory, MEGAFactory, NewickFactory, NeXMLFactory, NexusFactory, PDEFactory, PhylipFactory, PhyloXMLFactory, SequentialPhylipFactory, XTGFactory

      public interface JPhyloIOFormatIDs

  Provides unique IDs for all formats that are supported by JPhyloIO.

  Additional formats may be defined by application developers or third party libraries. Such additional definitions should also follow the reverse domain name pattern as the IDs defined here do (e.g. `com.example.myformat`) and never start with "info.bioinfweb.jphyloio.", which is the reserved prefix for JPhyloIO.

  Since:
    0.0.0
  Author:
    Ben Stöver

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FASTA_FORMAT_ID`
    `static java.lang.String` | `FORMAT_ID_PREFIX` The prefix of all format IDs defined in JPhyloIO.
    `static java.lang.String` | `MEGA_FORMAT_ID`
    `static java.lang.String` | `NEWICK_FORMAT_ID`
    `static java.lang.String` | `NEXML_FORMAT_ID`
    `static java.lang.String` | `NEXUS_FORMAT_ID`
    `static java.lang.String` | `PDE_FORMAT_ID`
    `static java.lang.String` | `PHYLIP_FORMAT_ID`
    `static java.lang.String` | `PHYLOXML_FORMAT_ID`
    `static java.lang.String` | `SEQUENTIAL_PHYLIP_FORMAT_ID`
    `static java.lang.String` | `XTG_FORMAT_ID`

- - ### Field Detail

    - #### FORMAT_ID_PREFIX

          static final java.lang.String FORMAT_ID_PREFIX

      The prefix of all format IDs defined in JPhyloIO. Do not define custom IDs starting with this prefix.
      See Also:
        Constant Field Values

    - #### NEXML_FORMAT_ID

          static final java.lang.String NEXML_FORMAT_ID

      See Also:
        Constant Field Values

    - #### NEXUS_FORMAT_ID

          static final java.lang.String NEXUS_FORMAT_ID

      See Also:
        Constant Field Values

    - #### NEWICK_FORMAT_ID

          static final java.lang.String NEWICK_FORMAT_ID

      See Also:
        Constant Field Values

    - #### PHYLOXML_FORMAT_ID

          static final java.lang.String PHYLOXML_FORMAT_ID

      See Also:
        Constant Field Values

    - #### FASTA_FORMAT_ID

          static final java.lang.String FASTA_FORMAT_ID

      See Also:
        Constant Field Values

    - #### PHYLIP_FORMAT_ID

          static final java.lang.String PHYLIP_FORMAT_ID

      See Also:
        Constant Field Values

    - #### SEQUENTIAL_PHYLIP_FORMAT_ID

          static final java.lang.String SEQUENTIAL_PHYLIP_FORMAT_ID

      See Also:
        Constant Field Values

    - #### MEGA_FORMAT_ID

          static final java.lang.String MEGA_FORMAT_ID

      See Also:
        Constant Field Values

    - #### XTG_FORMAT_ID

          static final java.lang.String XTG_FORMAT_ID

      See Also:
        Constant Field Values

    - #### PDE_FORMAT_ID

          static final java.lang.String PDE_FORMAT_ID

      See Also:
        Constant Field Values